@tailwind base;
@tailwind components;
@tailwind utilities;

/* cyrillic-ext */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/KFOmCnqEu92Fr1Mu72xKKTU1Kvnz.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}
/* cyrillic */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/KFOmCnqEu92Fr1Mu5mxKKTU1Kvnz.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* greek-ext */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/KFOmCnqEu92Fr1Mu7mxKKTU1Kvnz.woff2) format('woff2');
    unicode-range: U+1F00-1FFF;
}
/* greek */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/KFOmCnqEu92Fr1Mu4WxKKTU1Kvnz.woff2) format('woff2');
    unicode-range: U+0370-03FF;
}
/* vietnamese */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/KFOmCnqEu92Fr1Mu7WxKKTU1Kvnz.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/KFOmCnqEu92Fr1Mu7GxKKTU1Kvnz.woff2) format('woff2');
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url(/fonts/Roboto/KFOmCnqEu92Fr1Mu4mxKKTU1Kg.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

@media(max-width: 1024px) {
    .aside-menu-wrapper {
        @apply fixed left-0 top-0 bottom-0 h-screen z-40 mt-16;
        width: 275px;
    }
}
.custom-table {
    @apply max-h-80 block overflow-scroll w-full;
}
.custom-table thead > tr {
    @apply uppercase;
}
.custom-table thead > tr > th,
.custom-table thead > tr > td {
    @apply sticky top-0 whitespace-nowrap;
}
.custom-table tfoot > tr > th,
.custom-table tfoot > tr > td {
    @apply sticky bottom-0;
}
.custom-table table {
    @apply border-collapse w-full;
    border-spacing: 0;
}
.custom-table thead > tr > th.sortable {
    @apply cursor-pointer relative pr-6;
}
.custom-table thead > tr > th.sortable.desc:after {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    content: "\25BC";
    font-size: 0.8rem;
}
.custom-table thead > tr > th.sortable.asc:after {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    content: "\25B2";
    font-size: 0.8rem;
}
.bg-slate-800 .custom-table thead > tr > th,
.bg-slate-800 .custom-table thead > tr > td {
    background-color: theme('colors.slate.800');
}
.bg-slate-800 .custom-table tbody > tr:nth-child(odd) {
    @apply bg-slate-700;
}
.custom-table thead > tr > td,
.custom-table thead > tr > th,
.custom-table tbody > tr > td,
.custom-table tbody > tr > th {
    @apply px-1 py-2;
}
body.modal-open {
    overflow: hidden;
}
.modal-backdrop {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1025;
}

.modal {
    background: #FFFFFF;
    box-shadow: 2px 2px 20px 1px;
    overflow-x: auto;
    display: flex;
    flex-direction: column;
    width: 90vw;
    max-height: 80vh;
    overflow-y: hidden;
    position: relative;
    z-index: 2025;
}
.modal-header,
.modal-footer {
    padding: 15px;
    display: flex;
}

.modal-header {
    @apply items-center text-white;
    border-bottom: 1px solid #eeeeee;
    justify-content: space-between;
    height: 48px;
    width: auto;
}
.modal-header .btn-close {
    font-size: 1.25rem;
    border: none;
    padding: 5px;
    cursor: pointer;
    font-weight: bold;
}
.modal-header .modal-header-title {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.modal-footer {
    @apply items-center;
    border-top: 1px solid #eeeeee;
    height: 64px;
    width: auto;
}
.modal-body {
    position: relative;
    padding: 20px 10px;
}

.modal-fade-enter,
.modal-fade-leave-to {
    opacity: 0;
}

.modal-fade-enter-active,
.modal-fade-leave-active {
    transition: opacity .5s ease;
}
@media(min-width: 960px) {
    .modal {
        width: 600px;
    }
}

.main-menu-sidebar > ul > li.has-sub.expanded > ul > li {
    display: block;
}
.main-menu-sidebar > ul > li.has-sub > ul > li {
    display: none;
}

.editor-outer-wrapper {
    background: #eef5fa;
    border-radius: 100px;
    max-width: 950px;
    margin: 0 auto;
    padding: 70px 60px;
}
@media (max-width: 980px) {
    .editor-outer-wrapper {
        padding: 15px;
        border-radius: 0;
    }
}
@media (max-width: 1550px) {
    .editor-outer-wrapper {
        max-width: 850px;
    }
}
.editor-inner-wrapper {
    background: #fff;
    border-radius: 8px;
    -webkit-box-shadow: 0 24px 24px -18px rgba(69,104,129,.33),0 9px 45px 0 rgba(114,119,160,.12);
    box-shadow: 0 24px 24px -18px rgba(69,104,129,.33),0 9px 45px 0 rgba(114,119,160,.12);
    padding: 70px 50px;
    font-size: 16px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
@media (max-width: 980px) {
    .editor-inner-wrapper, .editor-outer-wrapper .codex-editor__redactor {
        min-height: 100px;
    }
}
.editor-outer-wrapper .editor-inner-wrapper, .editor-outer-wrapper .codex-editor__redactor {
    min-height: 450px;
}

@media (max-width: 980px) {
    .editor-outer-wrapper .editor-inner-wrapper {
        padding: 20px;
    }
}
.codex-editor .codex-editor__redactor {
    @apply border;
}
.codex-editor .codex-editor__redactor .ce-block__content {
    background: #fff;
}

.embed {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 0;
}
.embed iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.paragraph > a {
    @apply text-sky-500;
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.tree-list {
    text-align: left;
}
.tree-list > li {

}
.tree-list > li .arrow-icon {
    display: none;
}
.tree-list > li > .tree-list > li > .tree-list {
    padding-left: 25px;
    background-repeat: repeat-y;
    background-image: url("/img/tree-level-repeat.png");
}
.tree-list > li .tree-list li .arrow-icon {
    width: 15px;
    height: 15px;
    background: url('/img/tree-level.png') center center no-repeat;
    display: block;
    float: left;
    margin-right: 3px;
}
.tree-list > li > div .toggle-img-span {
    padding-top: 4px;
    cursor: pointer;
}
.tree-list > li > div .toggle-img-span .toggle-img {
    width: 15px;
    height: 15px;
    margin-top: 4px;
    float: left;
}
.tree-list > li .tree-list li span {
    /*padding-top: 3px;*/
    display: inline-block;
}
.tree-list > li > .tree-list > li > div {

}
.f32 .flag{display:inline-block;height:32px;width:32px;vertical-align:text-top;line-height:32px;background:url(/img/countries.png) no-repeat;}
.f32 ._African_Union{background-position:0 -32px;}
.f32 ._Arab_League{background-position:0 -64px;}
.f32 ._ASEAN{background-position:0 -96px;}
.f32 ._CARICOM{background-position:0 -128px;}
.f32 ._CIS{background-position:0 -160px;}
.f32 ._Commonwealth{background-position:0 -192px;}
.f32 ._England{background-position:0 -224px;}
.f32 ._European_Union, .f32 .eu{background-position:0 -256px;}
.f32 ._Islamic_Conference{background-position:0 -288px;}
.f32 ._Kosovo{background-position:0 -320px;}
.f32 ._NATO{background-position:0 -352px;}
.f32 ._Northern_Cyprus{background-position:0 -384px;}
.f32 ._Northern_Ireland{background-position:0 -416px;}
.f32 ._Olimpic_Movement{background-position:0 -448px;}
.f32 ._OPEC{background-position:0 -480px;}
.f32 ._Red_Cross{background-position:0 -512px;}
.f32 ._Scotland{background-position:0 -544px;}
.f32 ._Somaliland{background-position:0 -576px;}
.f32 ._Tibet{background-position:0 -608px;}
.f32 ._United_Nations{background-position:0 -640px;}
.f32 ._Wales{background-position:0 -672px;}
.f32 .ad{background-position:0 -704px;}
.f32 .ae{background-position:0 -736px;}
.f32 .af{background-position:0 -768px;}
.f32 .ag{background-position:0 -800px;}
.f32 .ai{background-position:0 -832px;}
.f32 .al{background-position:0 -864px;}
.f32 .am{background-position:0 -896px;}
.f32 .ao{background-position:0 -928px;}
.f32 .aq{background-position:0 -960px;}
.f32 .ar{background-position:0 -992px;}
.f32 .as{background-position:0 -1024px;}
.f32 .at{background-position:0 -1056px;}
.f32 .au{background-position:0 -1088px;}
.f32 .aw{background-position:0 -1120px;}
.f32 .ax{background-position:0 -1152px;}
.f32 .az{background-position:0 -1184px;}
.f32 .ba{background-position:0 -1216px;}
.f32 .bb{background-position:0 -1248px;}
.f32 .bd{background-position:0 -1280px;}
.f32 .be{background-position:0 -1312px;}
.f32 .bf{background-position:0 -1344px;}
.f32 .bg{background-position:0 -1376px;}
.f32 .bh{background-position:0 -1408px;}
.f32 .bi{background-position:0 -1440px;}
.f32 .bj{background-position:0 -1472px;}
.f32 .bm{background-position:0 -1504px;}
.f32 .bn{background-position:0 -1536px;}
.f32 .bo{background-position:0 -1568px;}
.f32 .br{background-position:0 -1600px;}
.f32 .bs{background-position:0 -1632px;}
.f32 .bt{background-position:0 -1664px;}
.f32 .bw{background-position:0 -1696px;}
.f32 .by{background-position:0 -1728px;}
.f32 .bz{background-position:0 -1760px;}
.f32 .ca{background-position:0 -1792px;}
.f32 .cd{background-position:0 -1824px;}
.f32 .cf{background-position:0 -1856px;}
.f32 .cg{background-position:0 -1888px;}
.f32 .ch{background-position:0 -1920px;}
.f32 .ci{background-position:0 -1952px;}
.f32 .ck{background-position:0 -1984px;}
.f32 .cl{background-position:0 -2016px;}
.f32 .cm{background-position:0 -2048px;}
.f32 .cn{background-position:0 -2080px;}
.f32 .co{background-position:0 -2112px;}
.f32 .cr{background-position:0 -2144px;}
.f32 .cu{background-position:0 -2176px;}
.f32 .cv{background-position:0 -2208px;}
.f32 .cy{background-position:0 -2240px;}
.f32 .cz{background-position:0 -2272px;}
.f32 .de{background-position:0 -2304px;}
.f32 .dj{background-position:0 -2336px;}
.f32 .dk{background-position:0 -2368px;}
.f32 .dm{background-position:0 -2400px;}
.f32 .do{background-position:0 -2432px;}
.f32 .dz{background-position:0 -2464px;}
.f32 .ec{background-position:0 -2496px;}
.f32 .ee{background-position:0 -2528px;}
.f32 .eg{background-position:0 -2560px;}
.f32 .eh{background-position:0 -2592px;}
.f32 .er{background-position:0 -2624px;}
.f32 .es{background-position:0 -2656px;}
.f32 .et{background-position:0 -2688px;}
.f32 .fi{background-position:0 -2720px;}
.f32 .fj{background-position:0 -2752px;}
.f32 .fm{background-position:0 -2784px;}
.f32 .fo{background-position:0 -2816px;}
.f32 .fr{background-position:0 -2848px;}  .f32 .bl, .f32 .cp, .f32 .mf, .f32 .yt{background-position:0 -2848px;}
.f32 .ga{background-position:0 -2880px;}
.f32 .gb{background-position:0 -2912px;}  .f32 .sh{background-position:0 -2912px;}
.f32 .gd{background-position:0 -2944px;}
.f32 .ge{background-position:0 -2976px;}
.f32 .gg{background-position:0 -3008px;}
.f32 .gh{background-position:0 -3040px;}
.f32 .gi{background-position:0 -3072px;}
.f32 .gl{background-position:0 -3104px;}
.f32 .gm{background-position:0 -3136px;}
.f32 .gn{background-position:0 -3168px;}
.f32 .gp{background-position:0 -3200px;}
.f32 .gq{background-position:0 -3232px;}
.f32 .gr{background-position:0 -3264px;}
.f32 .gt{background-position:0 -3296px;}
.f32 .gu{background-position:0 -3328px;}
.f32 .gw{background-position:0 -3360px;}
.f32 .gy{background-position:0 -3392px;}
.f32 .hk{background-position:0 -3424px;}
.f32 .hn{background-position:0 -3456px;}
.f32 .hr{background-position:0 -3488px;}
.f32 .ht{background-position:0 -3520px;}
.f32 .hu{background-position:0 -3552px;}
.f32 .id{background-position:0 -3584px;}
.f32 .mc{background-position:0 -3584px;}
.f32 .ie{background-position:0 -3616px;}
.f32 .il{background-position:0 -3648px;}
.f32 .im{background-position:0 -3680px;}
.f32 .in{background-position:0 -3712px;}
.f32 .iq{background-position:0 -3744px;}
.f32 .ir{background-position:0 -3776px;}
.f32 .is{background-position:0 -3808px;}
.f32 .it{background-position:0 -3840px;}
.f32 .je{background-position:0 -3872px;}
.f32 .jm{background-position:0 -3904px;}
.f32 .jo{background-position:0 -3936px;}
.f32 .jp{background-position:0 -3968px;}
.f32 .ke{background-position:0 -4000px;}
.f32 .kg{background-position:0 -4032px;}
.f32 .kh{background-position:0 -4064px;}
.f32 .ki{background-position:0 -4096px;}
.f32 .km{background-position:0 -4128px;}
.f32 .kn{background-position:0 -4160px;}
.f32 .kp{background-position:0 -4192px;}
.f32 .kr{background-position:0 -4224px;}
.f32 .kw{background-position:0 -4256px;}
.f32 .ky{background-position:0 -4288px;}
.f32 .kz{background-position:0 -4320px;}
.f32 .la{background-position:0 -4352px;}
.f32 .lb{background-position:0 -4384px;}
.f32 .lc{background-position:0 -4416px;}
.f32 .li{background-position:0 -4448px;}
.f32 .lk{background-position:0 -4480px;}
.f32 .lr{background-position:0 -4512px;}
.f32 .ls{background-position:0 -4544px;}
.f32 .lt{background-position:0 -4576px;}
.f32 .lu{background-position:0 -4608px;}
.f32 .lv{background-position:0 -4640px;}
.f32 .ly{background-position:0 -4672px;}
.f32 .ma{background-position:0 -4704px;}
.f32 .md{background-position:0 -4736px;}
.f32 .me{background-position:0 -4768px;}
.f32 .mg{background-position:0 -4800px;}
.f32 .mh{background-position:0 -4832px;}
.f32 .mk{background-position:0 -4864px;}
.f32 .ml{background-position:0 -4896px;}
.f32 .mm{background-position:0 -4928px;}
.f32 .mn{background-position:0 -4960px;}
.f32 .mo{background-position:0 -4992px;}
.f32 .mq{background-position:0 -5024px;}
.f32 .mr{background-position:0 -5056px;}
.f32 .ms{background-position:0 -5088px;}
.f32 .mt{background-position:0 -5120px;}
.f32 .mu{background-position:0 -5152px;}
.f32 .mv{background-position:0 -5184px;}
.f32 .mw{background-position:0 -5216px;}
.f32 .mx{background-position:0 -5248px;}
.f32 .my{background-position:0 -5280px;}
.f32 .mz{background-position:0 -5312px;}
.f32 .na{background-position:0 -5344px;}
.f32 .nc{background-position:0 -5376px;}
.f32 .ne{background-position:0 -5408px;}
.f32 .ng{background-position:0 -5440px;}
.f32 .ni{background-position:0 -5472px;}
.f32 .nl{background-position:0 -5504px;}  .f32 .bq{background-position:0 -5504px;}
.f32 .no{background-position:0 -5536px;}  .f32 .bv, .f32 .nq, .f32 .sj{background-position:0 -5536px;}
.f32 .np{background-position:0 -5568px;}
.f32 .nr{background-position:0 -5600px;}
.f32 .nz{background-position:0 -5632px;}
.f32 .om{background-position:0 -5664px;}
.f32 .pa{background-position:0 -5696px;}
.f32 .pe{background-position:0 -5728px;}
.f32 .pf{background-position:0 -5760px;}
.f32 .pg{background-position:0 -5792px;}
.f32 .ph{background-position:0 -5824px;}
.f32 .pk{background-position:0 -5856px;}
.f32 .pl{background-position:0 -5888px;}
.f32 .pr{background-position:0 -5920px;}
.f32 .ps{background-position:0 -5952px;}
.f32 .pt{background-position:0 -5984px;}
.f32 .pw{background-position:0 -6016px;}
.f32 .py{background-position:0 -6048px;}
.f32 .qa{background-position:0 -6080px;}
.f32 .re{background-position:0 -6112px;}
.f32 .ro{background-position:0 -6144px;}
.f32 .rs{background-position:0 -6176px;}
.f32 .ru{background-position:0 -6208px;}
.f32 .rw{background-position:0 -6240px;}
.f32 .sa{background-position:0 -6272px;}
.f32 .sb{background-position:0 -6304px;}
.f32 .sc{background-position:0 -6336px;}
.f32 .sd{background-position:0 -6368px;}
.f32 .se{background-position:0 -6400px;}
.f32 .sg{background-position:0 -6432px;}
.f32 .si{background-position:0 -6464px;}
.f32 .sk{background-position:0 -6496px;}
.f32 .sl{background-position:0 -6528px;}
.f32 .sm{background-position:0 -6560px;}
.f32 .sn{background-position:0 -6592px;}
.f32 .so{background-position:0 -6624px;}
.f32 .sr{background-position:0 -6656px;}
.f32 .st{background-position:0 -6688px;}
.f32 .sv{background-position:0 -6720px;}
.f32 .sy{background-position:0 -6752px;}
.f32 .sz{background-position:0 -6784px;}
.f32 .tc{background-position:0 -6816px;}
.f32 .td{background-position:0 -6848px;}
.f32 .tg{background-position:0 -6880px;}
.f32 .th{background-position:0 -6912px;}
.f32 .tj{background-position:0 -6944px;}
.f32 .tl{background-position:0 -6976px;}
.f32 .tm{background-position:0 -7008px;}
.f32 .tn{background-position:0 -7040px;}
.f32 .to{background-position:0 -7072px;}
.f32 .tr{background-position:0 -7104px;}
.f32 .tt{background-position:0 -7136px;}
.f32 .tv{background-position:0 -7168px;}
.f32 .tw{background-position:0 -7200px;}
.f32 .tz{background-position:0 -7232px;}
.f32 .ua{background-position:0 -7264px;}
.f32 .ug{background-position:0 -7296px;}
.f32 .us{background-position:0 -7328px;}
.f32 .uy{background-position:0 -7360px;}
.f32 .uz{background-position:0 -7392px;}
.f32 .va{background-position:0 -7424px;}
.f32 .vc{background-position:0 -7456px;}
.f32 .ve{background-position:0 -7488px;}
.f32 .vg{background-position:0 -7520px;}
.f32 .vi{background-position:0 -7552px;}
.f32 .vn{background-position:0 -7584px;}
.f32 .vu{background-position:0 -7616px;}
.f32 .ws{background-position:0 -7648px;}
.f32 .ye{background-position:0 -7680px;}
.f32 .za{background-position:0 -7712px;}
.f32 .zm{background-position:0 -7744px;}
.f32 .zw{background-position:0 -7776px;}
.f32 .sx{background-position:0 -7808px;}
.f32 .cw{background-position:0 -7840px;}
.f32 .ss{background-position:0 -7872px;}
.f32 .nu{background-position:0 -7904px;}
